<!--<template>-->
<!--  <div>-->
<!--    <main-slider />-->
<!--    <steps />-->
<!--    <us-map />-->
<!--    <reviews />-->
<!--    <partners />-->
<!--    <blog-slider />-->
<!--    <b-modal id="modal-lg" v-model="discount" size="">-->
<!--      <div class="card pt-100 pb-24 pr-100 pl-100">-->
<!--        <div v-show="isSent === false">-->
<!--          <svg-->
<!--            class="logo-rounded"-->
<!--            width="120"-->
<!--            height="120"-->
<!--            viewBox="0 0 120 120"-->
<!--            fill="none"-->
<!--            xmlns="http://www.w3.org/2000/svg"-->
<!--          >-->
<!--            <rect-->
<!--              x="0.5"-->
<!--              y="0.5"-->
<!--              width="119"-->
<!--              height="119"-->
<!--              rx="59.5"-->
<!--              fill="#28293A"-->
<!--            />-->
<!--            <path-->
<!--              d="M59.5277 57.7455C61.2366 59.0211 38.442 96.681 40.9039 94.9416L59.5277 81.5185L78.1225 94.9416C80.5555 96.681 57.7899 59.0211 59.5277 57.7455C61.2076 56.4699 86.4351 92.4773 85.4793 89.7231L78.1225 68.2694L96.8911 55.0493C99.3241 53.3678 60.1939 59.7169 59.5277 57.7455C58.8615 55.7741 97.0938 46.5548 94.0816 46.5838L71.0553 46.7577L64.0171 25.1591C63.0903 22.3469 61.6421 57.7455 59.5277 57.7455C57.3844 57.7455 55.9072 22.3469 54.9804 25.1591L47.9711 46.7577L24.9159 46.5838C21.9036 46.5548 60.1939 55.8031 59.5277 57.7455C58.8326 59.7459 19.7024 53.3678 22.1064 55.0493L40.875 68.2694L33.5181 89.7231C32.5623 92.4773 57.8188 56.4699 59.5277 57.7455Z"-->
<!--              fill="white"-->
<!--            />-->
<!--            <rect-->
<!--              x="0.5"-->
<!--              y="0.5"-->
<!--              width="119"-->
<!--              height="119"-->
<!--              rx="59.5"-->
<!--              stroke="#28293A"-->
<!--            />-->
<!--          </svg>-->
<!--          <img src="@/static/images/background-2.jpg" class="bg-modal" alt="">-->
<!--          <h5 class="">CAR SHIPPING</h5>-->
<!--          <h6 class="mb-12">2023</h6>-->
<!--          <h5 class="mb-31">ULTIMATE GUIDE</h5>-->
<!--          <router-link  to="/blog/car-chipping-ultimate-guide" style="width: 100%" class="mb-12 read-now dark-btn">-->
<!--            READ NOW-->
<!--          </router-link>-->
<!--&lt;!&ndash;          <p>&ndash;&gt;-->
<!--&lt;!&ndash;            By providing your information, you agree to our&ndash;&gt;-->
<!--&lt;!&ndash;            <a href="privacy-policy">privacy policy.</a>&ndash;&gt;-->
<!--&lt;!&ndash;          </p>&ndash;&gt;-->
<!--        </div>-->
<!--&lt;!&ndash;        <div v-show="isSent === true" class="text-center">&ndash;&gt;-->
<!--&lt;!&ndash;          <h3 class="mb-24">Thanks for your Quote !!!</h3>&ndash;&gt;-->
<!--&lt;!&ndash;          <h4 class="mb-24">Responsible agent will call you in 1 hour</h4>&ndash;&gt;-->
<!--&lt;!&ndash;          <img class="img-fluid" src="/images/call-you.png" alt="Trucking pics" />&ndash;&gt;-->
<!--&lt;!&ndash;        </div>&ndash;&gt;-->
<!--      </div>-->
<!--    </b-modal>-->
<!--  </div>-->
<!--</template>-->

<!--<script>-->
<!--import { required } from "vuelidate/lib/validators";-->

<!--import AOS from "aos";-->
<!--import "aos/dist/aos.css";-->
<!--import mainSlider from "@/components/main-slider.vue";-->
<!--import steps from "@/components/steps.vue";-->
<!--import usMap from "@/components/us-map.vue";-->
<!--import reviews from "@/components/reviews.vue";-->
<!--import BlogSlider from "../components/blog-slider.vue";-->
<!--import partners from "../components/partners.vue";-->
<!--export default {-->
<!--  head() {-->
<!--    return {-->
<!--      title: 'Top-Rated Car Shipping & Auto Transport Company | US Star Trucking  LLC',-->
<!--      meta: [-->
<!--      { hid: 'Need Fast & Reliable Car Shipping Service', name: 'description', content: 'Need Fast & Reliable Car Shipping Service?  Get A Quote In 3 Simple Steps! Call now 865 730-49-92 or click here to learn about our trusted services.  No Hidden Fees.' },-->
<!--      { hid: 'Auto transport company', name: 'keywords', content: 'auto transport company, car shipping company, car shipping companies, companies that ship cars, auto transport companies, car transport companies, best car shipping company, best company to ship a car, car moving companies, car hauling companies, auto shipping companies, vehicle transport company, vehicle transportation company' },-->
<!--      ]}-->
<!--  },-->
<!--  components: {-->
<!--    mainSlider,-->
<!--    steps,-->
<!--    usMap,-->
<!--    reviews,-->
<!--    partners,-->
<!--    BlogSlider,-->
<!--  },-->

<!--  data() {-->
<!--    return {-->
<!--      discount: false,-->
<!--      isSent: false,-->
<!--      // personalInfo: {-->
<!--      //   email: "",-->
<!--      // },-->
<!--      loader: false,-->
<!--    };-->
<!--  },-->
<!--  //-->
<!--  // methods: {-->
<!--  //   send() {-->
<!--  //     this.$v.personalInfo.email.$touch();-->
<!--  //     if (!this.$v.personalInfo.email.$invalid) {-->
<!--  //       let message = `Customer emailed for 5% discount: ${this.personalInfo.email}`;-->
<!--  //       this.$axios-->
<!--  //         .post(-->
<!--  //           `https://api.telegram.org/bot5112997233:AAGm9WjddytUrKYCyNd3BKxeL2DTbWe98VE/sendMessage?chat_id=-1001761923713 &text=${message}`-->
<!--  //         )-->
<!--  //         .finally(() => {-->
<!--  //           this.isSent = true;-->
<!--  //         });-->
<!--  //     }-->
<!--  //   },-->
<!--  // },-->

<!--  // validations: {-->
<!--  //   personalInfo: {-->
<!--  //     email: { required },-->
<!--  //   },-->
<!--  // },-->

<!--  mounted() {-->
<!--    AOS.init();-->
<!--    // setTimeout(() => {-->
<!--    //   this.discount = true;-->
<!--    // }, 40000);-->
<!--  }-->
<!--};-->
<!--</script>-->

<!--<style lang="scss" scoped></style>-->

<template>
  <div >
    <homeMain/>
    <homeReviews/>
    <home-trusted-by/>
    <homeSteps/>
    <home-we-help style="position: absolute; right: 0; left: 0; z-index: 5"/>
    <homeWhyChoose/>
    <home-instant-quote/>
    <homeUSMap/>
    <homeFAQ/>

    <!--    <div class="bottom-trigger d-flex align-items-center" :class="item.isShown ? 'bottom-trigger-active' : 'bottom-trigger-inactive'" v-for="(item, index) in bottomTriggerInfo" :key="index">-->
    <!--    <div>-->
    <!--      <img :src="item.img" alt="">-->
    <!--    </div>-->
    <!--      <div>-->
    <!--        <h6>-->
    <!--          {{item.name}} {{item.from}}-->
    <!--        </h6>-->
    <!--        <h5>{{item.title}}</h5>-->
    <!--        <p>{{item.time}}</p>-->
    <!--      </div>-->
    <!--    </div>-->
  </div>
</template>

<script>
import homeMain from "@/components/home/homeMain.vue"
import homeReviews from "@/components/home/homeReviews.vue";
import homeTrustedBy from "@/components/home/homeTrustedBy.vue";
import homeSteps from "@/components/home/homeSteps.vue";
import HomeWeHelp from "~/components/home/homeWeHelp";
import homeWhyChoose from "~/components/home/homeWhyChoose.vue";
import HomeInstantQuote from "@/components/home/homeInstantQuote";
import homeFAQ from "@/components/home/homeFAQ";
import homeUSMap from "@/components/home/homeUSMap";
export default {
  layout: 'homeHeader',
  components: {
    HomeInstantQuote,
    HomeWeHelp,
    homeMain,
    homeReviews,
    homeTrustedBy,
    homeSteps,
    homeWhyChoose,
    homeFAQ,
    homeUSMap
  },

  data() {
    return {
      bottomTrigger: false,
      bottomTriggerInfo: [
        {name: '392', img: '/images/bottom-trigger1.png', from: 'Orders ', time: 'Booked', title: 'In the last 24 hours', isShown: true},
        {name: 'Lyn', img: '/images/bottom-trigger1.png', from: 'Punta Gorda, FL', time: 'an hour ago', title: 'Just booked an order', isShown: false},
        {name: 'Lyn', img: '/images/bottom-trigger1.png', from: 'Punta Gorda, FL', time: 'an hour ago', title: 'Just booked an order', isShown: false},
        {name: 'Lyn', img: '/images/bottom-trigger1.png', from: 'Punta Gorda, FL', time: 'an hour ago', title: 'Just booked an order', isShown: false},
      ]
    }

  },

  // mounted() {
  //   this.bottomTriggerFunction(2000, this.bottomTriggerInfo);
  // },
  //
  // methods: {
  //   bottomTriggerFunction(time, data) {
  //     setInterval(function(time, data) {
  //       for (let i = 0; i < data.length; i++) {
  //         console.log(data[i])
  //       }
  //     }, time);
  //   }
  // }
}
</script>

<style scoped>

</style>
